Page MenuHomePhabricator

Mobile talk overlay not updating with new threads
Closed, ResolvedPublic

Description

Discovered by @Edtadros while QA'ing T226106, the talk overlay does not update the list with new threads after they have been created. This is reproducible on master, with no console errors.

QA steps

Please test this on the beta cluster: https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain

QA Results

ACStatusDetails
1T228418#5355839

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masteronSaveComplete callback is no longer optional
mediawiki/skins/MinervaNeue : masterTalk overlays for creating new topics now use callback
mediawiki/extensions/MobileFrontend : masterAfter a save the talk section overlay is rendered

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 12:24 PM
Jdrewniak triaged this task as High priority.Jul 18 2019, 12:25 PM

Topic is added but the overlay does not refresh (no new topic appended and no api request made). Closing this overlay seems to show the overlay below that's cached without the required update. An event talk-discussion-added is fired. I think the overlay needs to subscribe to this and react to that change (potentially just generate a new instance of itself and replace it using overlayManager.replace)

Change 524322 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Refresh talk overlay after new topic added

https://gerrit.wikimedia.org/r/524322

Change 524367 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] After a save the talk section overlay is rendered

https://gerrit.wikimedia.org/r/524367

Change 524375 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] onSaveComplete callback is no longer optional

https://gerrit.wikimedia.org/r/524375

Change 524367 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] After a save the talk section overlay is rendered

https://gerrit.wikimedia.org/r/524367

Change 524322 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Talk overlays for creating new topics now use callback

https://gerrit.wikimedia.org/r/524322

Change 524375 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] onSaveComplete callback is no longer optional

https://gerrit.wikimedia.org/r/524375

Edtadros reassigned this task from Edtadros to ovasileva.Jul 22 2019, 11:48 PM

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

✅ AC1:

Edtadros updated the task description. (Show Details)Jul 22 2019, 11:49 PM
ovasileva closed this task as Resolved.Jul 23 2019, 2:11 PM

Looks good